POST api/Investor/v1/GetAccountTransactionReport
Request Information
URI Parameters
None.
Body Parameters
GetAccountTransactionReportRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| customerId |
Unique identifier of customer. |
globally unique identifier |
None. |
| accountId |
Account-id for filtering transactions |
globally unique identifier |
None. |
| bookingDateBegin |
Starting date for bookings for filtering transactions |
date |
None. |
| bookingDateEnd |
End date for bookings for filtering transactions |
date |
None. |
| OrganizationCode | string |
None. |
|
| UserName | string |
None. |
|
| Password | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"customerId": "5d6be1c1-79e0-493a-8990-86e18a72189b",
"accountId": "59b48781-d7fa-4288-81db-ab492f218b89",
"bookingDateBegin": "2026-10-22T22:55:24.4317734+00:00",
"bookingDateEnd": "2026-10-22T22:55:24.4317734+00:00",
"OrganizationCode": "sample string 2",
"UserName": "sample string 3",
"Password": "sample string 4"
}
application/xml, text/xml
Sample:
<GetAccountTransactionReportRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers.Investor"> <OrganizationCode xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 2</OrganizationCode> <Password xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 4</Password> <UserName xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 3</UserName> <accountId>59b48781-d7fa-4288-81db-ab492f218b89</accountId> <bookingDateBegin>2026-10-22T22:55:24.4317734+00:00</bookingDateBegin> <bookingDateEnd>2026-10-22T22:55:24.4317734+00:00</bookingDateEnd> <customerId>5d6be1c1-79e0-493a-8990-86e18a72189b</customerId> </GetAccountTransactionReportRequest>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
GetAccountTransactionReportReply| Name | Description | Type | Additional information |
|---|---|---|---|
| Reply |
None. |
Response Formats
application/json, text/json
Sample:
{
"Reply": {
"Transactions": [
{
"Id": "c79605c8-cd52-4a1c-bc2f-d63310b5d49d",
"AccountNumber": "sample string 2",
"AccountTransactionNumber": "sample string 3",
"AccountId": "602fafdd-cd1f-4ceb-857d-492307c59f48",
"CustomerId": "70a86b1c-33d9-481e-9c6e-2b3f846e20c5",
"CurrencyCode": "sample string 6",
"Amount": 7.0,
"TypeEnum": 0,
"BookingDate": "2026-10-22T22:55:24.4317734+00:00",
"ValueDate": "2026-10-22T22:55:24.4317734+00:00",
"PaymentDate": "2026-10-22T22:55:24.4317734+00:00",
"RegistrationDate": "2026-10-22T22:55:24.4317734+00:00",
"ReverseTime": "2026-10-22T22:55:24.4317734+00:00",
"LoanAllocationId": "cc113657-5896-4eb3-aae4-803a43fa4658",
"CounterpartySpecification": "sample string 11"
},
{
"Id": "c79605c8-cd52-4a1c-bc2f-d63310b5d49d",
"AccountNumber": "sample string 2",
"AccountTransactionNumber": "sample string 3",
"AccountId": "602fafdd-cd1f-4ceb-857d-492307c59f48",
"CustomerId": "70a86b1c-33d9-481e-9c6e-2b3f846e20c5",
"CurrencyCode": "sample string 6",
"Amount": 7.0,
"TypeEnum": 0,
"BookingDate": "2026-10-22T22:55:24.4317734+00:00",
"ValueDate": "2026-10-22T22:55:24.4317734+00:00",
"PaymentDate": "2026-10-22T22:55:24.4317734+00:00",
"RegistrationDate": "2026-10-22T22:55:24.4317734+00:00",
"ReverseTime": "2026-10-22T22:55:24.4317734+00:00",
"LoanAllocationId": "cc113657-5896-4eb3-aae4-803a43fa4658",
"CounterpartySpecification": "sample string 11"
}
]
},
"Ok": true,
"ErrorMessage": "sample string 2",
"ErrorCode": "sample string 3",
"Message": "sample string 4"
}
application/xml, text/xml
Sample:
<GetAccountTransactionReportReply xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers.Investor">
<ErrorCode xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 3</ErrorCode>
<ErrorMessage xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 2</ErrorMessage>
<Message xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">sample string 4</Message>
<Ok xmlns="http://schemas.datacontract.org/2004/07/FfApi.Controllers">true</Ok>
<Reply>
<Transactions>
<AccountTransaction>
<AccountId>602fafdd-cd1f-4ceb-857d-492307c59f48</AccountId>
<AccountNumber>sample string 2</AccountNumber>
<AccountTransactionNumber>sample string 3</AccountTransactionNumber>
<Amount>7</Amount>
<BookingDate>2026-10-22T22:55:24.4317734+00:00</BookingDate>
<CounterpartySpecification>sample string 11</CounterpartySpecification>
<CurrencyCode>sample string 6</CurrencyCode>
<CustomerId>70a86b1c-33d9-481e-9c6e-2b3f846e20c5</CustomerId>
<Id>c79605c8-cd52-4a1c-bc2f-d63310b5d49d</Id>
<LoanAllocationId>cc113657-5896-4eb3-aae4-803a43fa4658</LoanAllocationId>
<PaymentDate>2026-10-22T22:55:24.4317734+00:00</PaymentDate>
<RegistrationDate>2026-10-22T22:55:24.4317734+00:00</RegistrationDate>
<ReverseTime>2026-10-22T22:55:24.4317734+00:00</ReverseTime>
<TypeEnum>NULL</TypeEnum>
<ValueDate>2026-10-22T22:55:24.4317734+00:00</ValueDate>
</AccountTransaction>
<AccountTransaction>
<AccountId>602fafdd-cd1f-4ceb-857d-492307c59f48</AccountId>
<AccountNumber>sample string 2</AccountNumber>
<AccountTransactionNumber>sample string 3</AccountTransactionNumber>
<Amount>7</Amount>
<BookingDate>2026-10-22T22:55:24.4317734+00:00</BookingDate>
<CounterpartySpecification>sample string 11</CounterpartySpecification>
<CurrencyCode>sample string 6</CurrencyCode>
<CustomerId>70a86b1c-33d9-481e-9c6e-2b3f846e20c5</CustomerId>
<Id>c79605c8-cd52-4a1c-bc2f-d63310b5d49d</Id>
<LoanAllocationId>cc113657-5896-4eb3-aae4-803a43fa4658</LoanAllocationId>
<PaymentDate>2026-10-22T22:55:24.4317734+00:00</PaymentDate>
<RegistrationDate>2026-10-22T22:55:24.4317734+00:00</RegistrationDate>
<ReverseTime>2026-10-22T22:55:24.4317734+00:00</ReverseTime>
<TypeEnum>NULL</TypeEnum>
<ValueDate>2026-10-22T22:55:24.4317734+00:00</ValueDate>
</AccountTransaction>
</Transactions>
</Reply>
</GetAccountTransactionReportReply>